image: python:3.6

before_script:
  - pip3 install "mkdocs==1.0.4"
  - pip3 install mkdocs-versioning
  - pip3 install mkdocs-material
  # Add your custom theme if not inside a theme_dir
  # (https://github.com/mkdocs/mkdocs/wiki/MkDocs-Themes)
  # - pip install mkdocs-material

pages:
  script:
  - mkdocs build
  - mv site public
  artifacts:
    paths:
    - public
  only:
  - master
